
#include <qtabdialog.h>

#include "generalpage.h"
#include "searchwindowpage.h"

class PreferencesDialog : public QTabDialog
{
	Q_OBJECT
public:
	PreferencesDialog(QWidget *parent = 0, const char *name = 0);
	virtual ~PreferencesDialog();

private slots:
	void saveSettings();
	void readSettings();	

private:
	GeneralPage			*m_pPage1;
	SearchWindowPage	*m_pPage2;
};
